Skip to main content
PUT
/
api
/
payments
/
razorpay
/
{environment}
/
config
Configure Razorpay Keys
curl --request PUT \
  --url https://api.example.com/api/payments/razorpay/{environment}/config \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyId": "rzp_test_xxx",
  "keySecret": "razorpay_secret_xxx",
  "webhookSecret": "webhook_secret_xxx"
}
'
{
  "keys": [
    {
      "hasKey": true,
      "maskedKey": "rzp_test_...abcd"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live

Body

application/json
keyId
string
required
Minimum string length: 1
Example:

"rzp_test_xxx"

keySecret
string
required
write-only
Minimum string length: 1
Example:

"razorpay_secret_xxx"

webhookSecret
string
write-only
Example:

"webhook_secret_xxx"

Response

Updated Razorpay key configuration

keys
object[]
required